# Paws

This repo holds most of my random small scripts, configs, paws(blobs)

---

## Contents

* [Configs](#configs)
  * [Cura](#cura)
    * [Materials](#materials)
      * [Clas Ohlsson's PLA](#clas-ohlsson-s-pla)
* [Python Scripts](#python-scripts)
  * [rename_backslash.py](#rename_backslash-py)
* [Shell Scripts](#shell-scripts)
  * [24-bit-color.sh](#24-bit-color-sh)
  * [rsync-incremental-backups.sh](#rsync-incremental-backups-sh)

---

## Configs

### Cura

#### Materials

##### Clas Ohlsson's PLA

The material config file for Clas Ohlsson's PLA Materials

## Python Scripts

### rename_backslash.py

A script to replace backslashes(\\) with ⧹ in filenames within a directory and its sub-directories.

## Shell Scripts

This folder has a loot of diffrent shell scripts for everything from automating stuff to toys.

### 24-bit-color.sh

This script echoes a bunch of 24-bit color codes to the terminal to demonstrate its functionality and test color support of terminals.  
![An image showing four lines the first is fading black to red, second black to green, third black to blue, and the last is all rainbow colours](Docs/img/24-bit-color.png)

---

### rsync-incremental-backups.sh

This script performs incremental backups of the specified source directory using rsync, and it keeps a symbolic link called 'latest' pointing to the most recent backup for easy reference. The script also logs backup details in a log file with a timestamp. Make sure to replace `<input folder>` and `<output folder>` with your actual source and backup directories.
